Connection Pools

Index

get

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • connectors

  • connectors_count

  • connectorsExists

  • connectors.system

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • name

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • name

  • limit

  • created_at

Authorizations
Query parameters
filter[name]stringOptional

Filter results by name.

includestringOptional

Comma-separated list of relationships to include. Available: connectors.system

sortstringOptional

Sort field. Prefix with - for descending. Available: name, limit, created_at

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/connection-pools

Store

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

limit

integer

timeout

integer

Authorizations
Body
limitinteger · min: 1Required
timeoutinteger · min: 1 · nullableOptional
namestring · max: 255Required
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/connection-pools

Show

get

Get a single connection pool.

Authorizations
Path parameters
connection_poolstringRequired

The connection pool identifier.

Query parameters
filter[name]stringOptional

Filter results by name.

includestringOptional

Comma-separated list of relationships to include. Available: connectors.system

sortstringOptional

Sort field. Prefix with - for descending. Available: name, limit, created_at

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/connection-pools/{connection_pool}

Update

put

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

limit

integer

timeout

integer

Authorizations
Path parameters
connection_poolstringRequired

The connection pool identifier.

Body
limitinteger · min: 1Optional
timeoutinteger · min: 1 · nullableOptional
namestring · min: 1 · max: 255Optional
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/connection-pools/{connection_pool}

Destroy

delete

Delete a connection pool.

Authorizations
Path parameters
connection_poolstringRequired

The connection pool identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/connection-pools/{connection_pool}

Clear

post

Clear for clear.

Authorizations
Path parameters
connection_poolstringRequired

The connection pool identifier.

Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/connection-pools/{connection_pool}/clear

Last updated

Was this helpful?